Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160727 - NetworkManager panel icon says connection is to 'Unknown'
Summary: NetworkManager panel icon says connection is to 'Unknown'
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 21:46 UTC by Nick Lamb
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-05 21:02:50 UTC


Attachments (Terms of Use)

Description Nick Lamb 2005-06-16 21:46:11 UTC
Description of problem:

NetworkManager tooltip shows...
Wireless network connection to '(unknown)' (100%)

I am connected to ECS-WLAN which I picked from a list, in fact I'm writing this
bug report over the resulting link, so it's definitely working. But
NetworkManager's panel icon describes it as "unknown", in FC3 it said "ECS-WLAN".

The pop-up/ drop-down menu doesn't show a bullet next to ECS-WLAN any more either.


Version-Release number of selected component (if applicable):
NetworkManager-0.4-15.cvs20050404, NetworkManager-gnome-0.4-15.cvs20050404

iwconfig shows...

wlan0     IEEE 802.11b  ESSID:"ECS-WLAN"  Nickname:"ipw2100"
          Mode:Managed  Frequency:2.412 GHz  Access Point: 00:07:85:B4:08:A3   
          Bit Rate=11 Mb/s   Tx-Power:off   
          Retry:on   RTS thr:off   Fragment thr:off
          Power Management:off
          Link Quality=100/100  Signal level=-43 dBm  
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:56   Missed beacon:0

So the OS still knows this is ECS-WLAN (and indeed, how could it not, without
this information it can't associate to the AP).

Comment 1 Christian Iseli 2007-01-20 00:54:13 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 Nick Lamb 2007-11-05 21:02:50 UTC
I am the original reporter.

Seems to be fixed in Fedora 7 which I'm running here. So marking resolved
WORKSFORME. Please change this if there is a better resolution for bugs that are
now fixed but the fix isn't specifically known.

I still occasionally see some NetworkManager problems but not this one. If the
problems recur in Fedora 8 after it is released, then I will report them against
that product.


Note You need to log in before you can comment on or make changes to this bug.